PDA

View Full Version : Airport Express requires 10.3 - oops.


minimac
Jul 24, 2004, 04:05 PM
Well, I just got back from CompUSA after picking up the only Airport Express I saw on the shelves there. Unfortunately I never noticed that it requires 10.3 to work. I know I'm behind the times only being on 10.2.8, but is there any way to get this running without having to spend another $130 to upgrade?

Elan0204
Jul 24, 2004, 05:08 PM
I'd recommend buying a used copy of Panther. Look around on eBay, or put a "Want To Buy (WTB)" ad in the Marketplace and Classifieds (http://forums.macrumors.com/forumdisplay.php?f=14) section here on MacRumors. Seeing as how Panther has been out for 9 months you'll definitely be able to find a copy for less than $129.

edit: MacMall.com (http://www.macmall.com/macmall/shop/detail.asp?dpno=296382) is currently selling Panther for $108.99. If you buy it with iLife '04 ($44.00), you get a $50 mail in rebate. Amazon.com (http://www.amazon.com/exec/obidos/tg/detail/-/B0000E6NK9/qid=1090706933/sr=8-2/ref=pd_ka_2/002-1846309-5672845?v=glance&s=pc&n=507846) is selling it for $114.99, and has the same promotion for a $50 rebate when you purchase iLife '04 (which Amazon sells for $44.99).

Finiksa
Jul 24, 2004, 05:32 PM
OWC have 10.3 Upgrade Discs (http://eshop.macsales.com/Item_Specials.cfm?ID=6504&Item=APL6033913B) (requires 10.2) for $65.99 or Full Install Set (http://eshop.macsales.com/Item_Specials.cfm?ID=6938&Item=APLOSX103CD) for $79.99

minimac
Jul 27, 2004, 07:45 PM
Thanks for the info. Just curious, but I'm wondering what feature of the new OS is needed to support the Airport Express. I have airport support and 10.2 has rendezvous, what other functionality am I missing? Or is it just another way to get people to upgrade to the new OS?
:confused: